module "sonarr" {
  source = "./service"

  name  = "sonarr"
  image = "lscr.io/linuxserver/sonarr:3.0.10"

  ingress      = true
  service_port = 8989
  use_wesher   = var.use_wesher

  env = {
    PGID = 100
    PUID = 1001
    TZ   = "America/Los_Angeles"
  }

  host_volumes = [
    {
      name      = "sonarr-data"
      dest      = "/config"
      read_only = false
    },
    {
      name      = "media-write"
      dest      = "/media"
      read_only = false
    },
  ]

  resources = {
    cpu        = 100
    memory     = 500
    memory_max = 700
  }
}
